import { VisibleElements } from '../../utils';
import { Page } from '../page';
import { Renderable, RenderingQueue, Buffer } from '../rendering';
import { Manager } from './';
export declare class RenderManager extends Manager implements Renderable {
    private _renderingQueue;
    readonly buffer: Buffer<Page>;
    get renderingQueue(): RenderingQueue;
    reset(): void;
    update(visible: VisibleElements): void;
    getCachedPages(): Set<Page>;
    cleanup(): void;
    cancelRendering(): void;
    private ensurePdfPageLoaded;
    forceRendering(currentlyVisiblePages?: VisibleElements): boolean;
}
